Bug 470 - Cannot view the Security Properties (ACLs, ownership, etc) on files/directories that are owned by UIDs/GIDs that aren't in /etc/paswd and aren't in the idmap range
Cannot view the Security Properties (ACLs, ownership, etc) on files/directori...
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.0preX
Other other
: P2 major
: none
Assigned To: Jeremy Allison
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-17 17:00 UTC by Marc Kaplan
Modified: 2005-08-24 10:24 UTC (History)
2 users (show)

See Also:


Attachments
log.smbd of this failing (260.77 KB, text/plain)
2003-09-17 17:06 UTC, Marc Kaplan
no flags Details
A .jpg of the security tab in this state (15.70 KB, image/jpeg)
2003-09-17 17:07 UTC, Marc Kaplan
no flags Details
Proposed fix (1.08 KB, patch)
2003-09-17 18:01 UTC, Jeremy Allison
no flags Details
The backtrace of the segv when using jra's patch (6.95 KB, text/plain)
2003-09-18 09:30 UTC, Marc Kaplan
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Kaplan 2003-09-17 17:00:17 UTC
The error I get from 2k is "Unable to display security information".

This is bad, we should still display the ACLs here, and just show the things we 
can't resolve as unmappable SIDs. This can happen very easily if somebody 
deletes a user from the local SAM and the local SAM UIDs/GIDs are not in the 
idmap range.

The easiest way to do this is to create a new file under a share and do a chown 
that file to some ID that's not in /etc/passwd and is not in the idmap range.
Comment 1 Marc Kaplan 2003-09-17 17:06:08 UTC
Created attachment 148 [details]
log.smbd of this failing

This is the log.smbd when we get the "Unable to view security information"
Comment 2 Marc Kaplan 2003-09-17 17:07:25 UTC
Created attachment 149 [details]
A .jpg of the security tab in this state

This is a .jpg of the security tab when this bug is in effect
Comment 3 Jeremy Allison 2003-09-17 18:01:08 UTC
Created attachment 150 [details]
Proposed fix

Marc, please test this proposed fix.
Jerry - do you agree with this being added into SAMBA_3_0_RELASE ?
Jeremy.
Comment 4 Marc Kaplan 2003-09-17 19:03:51 UTC
Jeremy,

This caused a segfault for me and it still didn't display the info. I'm trying 
to figure out where the segfault was. I'll probably look at it tomorrow though.
Comment 5 Marc Kaplan 2003-09-18 09:30:16 UTC
Created attachment 151 [details]
The backtrace of the segv when using jra's patch

This is the backtrace that I got when doing the same operation the bug
describes after applying jra's patch
Comment 6 Jeremy Allison 2003-09-18 14:20:37 UTC
Sorry, bad patch. I've checked in a proper fix (fingers crossed) to SAMBA_3_0
and HEAD. Still awaiting Jerry confirmation for check into SAMBA_3_0_RELEASE.
Please test.
Jeremy.
Comment 7 Marc Kaplan 2003-09-18 15:51:15 UTC
Fix is working great! Thanks. 

Jerry, I'd like to mark this closed, I just want to make sure that you want this 
change in the release first.

      -Marc
Comment 8 Jeremy Allison 2003-09-18 17:07:20 UTC
Integrated with SAMBA_3_0_RELEASE.
Jeremy.
Comment 9 Gerald (Jerry) Carter 2005-02-07 09:05:50 UTC
originally reported against one of the 3.0.0rc[1-4] releases.
Cleaning up non-production versions.
Comment 10 Gerald (Jerry) Carter 2005-08-24 10:24:53 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.